/* ___________ 1. footer-block __________________ */
.footer-block {
  background: #000000;
  padding: 2.667rem 0 0 0; }
  .footer-block .puzzle_block {
    padding-bottom: 13px; }
  .footer-block .copy_text_block-dev,
  .footer-block .copy_text_block-company {
    padding-top: 17px; }

.footer-block__menu {
  padding-bottom: 2rem; }

.footer-block__item,
.footer-block__item_name {
  padding: 0;
  margin: 0;
  margin-bottom: 3px;
  list-style-type: none; }

.footer-block__item_name:before {
  content: unset; }

.footer-block__menu .footer-block__item_name_link {
  color: #ffffff;
  border-bottom: 1px solid transparent; }
  .footer-block__menu .footer-block__item_name_link:hover {
    color: #ffffff;
    border-color: #ffffff; }

.footer-block__menu .container_menu__contact_item__email,
.footer-block__menu .container_menu__contact_item__phone {
  border-bottom: 1px solid transparent; }
  .footer-block__menu .container_menu__contact_item__email:hover,
  .footer-block__menu .container_menu__contact_item__phone:hover {
    color: #ffffff; }

.footer-block__menu .container_menu__contact_item__phone::before {
  content: "";
  font-family: "Font Awesome 5 Pro";
  font-weight: 900;
  font-size: 0.8rem;
  color: #ffffff;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
  padding: 0 5px 0 0; }

.footer-block__item_name_link:not(.container_menu__contact_item__phone) {
  color: #ffffff;
  border-bottom: 1px solid transparent; }
  .footer-block__item_name_link:not(.container_menu__contact_item__phone):hover {
    color: #ffffff;
    border-color: #ffffff; }
  .footer-block__item_name_link:not(.container_menu__contact_item__phone):focus {
    color: #ffffff;
    border-color: #ffffff; }

.footer-block__item_name_link.fonts__middle_comment.container_menu__contact_item__phone {
  display: inline-block;
  padding-bottom: 0; }

.footer-block__item_first_name {
  color: #ffffff;
  padding-bottom: 2rem; }

.footer-block__item_name_link.fonts__middle_text {
  font-size: 15px; }
  .footer-block__item_name_link.fonts__middle_text:focus {
    color: #ffffff;
    border-bottom: 1px solid #ffffff; }

.footer-block__item_name {
  line-height: 2;
  color: #ffffff; }
  .footer-block__item_name .fonts__small_text {
    font-size: 13px; }

.footer-block__contact_block {
  padding-bottom: 1.7rem; }

/* ___________ 2. link footer-block __________________ */
.footer-block__menu_title,
.footer-block__contact_block_title,
.footer-block__follow_title,
.footer-block__social_title,
.footer-block__payment_title {
  color: #ffffff;
  padding-bottom: 2rem; }

.footer-block__follow_title {
  color: #ffffff;
  padding-bottom: 1.5rem; }

.footer-block__contact_block_title {
  padding-bottom: 2rem; }

.footer-block__social_link {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
     -moz-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start; }

.footer-block__social_link_name {
  text-align: center;
  background: #dbdcdc;
  width: 2rem;
  height: 2rem;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
     -moz-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
     -moz-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  line-height: 2rem;
  border-radius: 50px;
  margin-right: 0.8rem; }
  .footer-block__social_link_name > .svg-social-icons {
    width: 14px;
    height: 14px;
    padding: 0; }
  .footer-block__social_link_name:hover {
    color: #ffffff;
    background: #fb0040; }
  .footer-block__social_link_name:focus {
    color: #ffffff;
    background: #fb0040; }

/* ___________ 3. payment footer-block __________________ */
.footer-block__payment_img {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap; }

.footer-block__payment_img img {
  min-height: 2rem;
  max-height: 2rem;
  width: auto;
  margin-right: 0.8rem; }

/* ___________ 4. follow footer-block __________________ */
.footer-block__follow_input {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex; }

.footer-block__follow_input_email,
.footer-block__follow_input_submit {
  height: 2.8rem; }

.footer-block__follow_input_submit {
  -webkit-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out; }

input[type="email"]::-webkit-input-placeholder {
  color: #8a8989; }

input[type="email"]::-moz-placeholder {
  color: #8a8989; }

input[type="email"]:-ms-input-placeholder {
  color: #8a8989; }

input[type="email"]::-ms-input-placeholder {
  color: #8a8989; }

input[type="email"]::placeholder {
  color: #8a8989; }

.footer-block__follow_input_email {
  border: 1px solid #ededed;
  padding-left: 1.5rem;
  width: calc(100% - 60px);
  max-width: 210px; }

.footer-block__follow_input_submit {
  min-width: 66px;
  border: none;
  background: #fb0040; }
  .footer-block__follow_input_submit:hover {
    cursor: pointer; }

.footer-block__contact_block_content_item {
  position: relative;
  font-size: 0.9rem;
  color: #ffffff;
  padding: 0 0 4px 0; }
  .footer-block__contact_block_content_item.content_item--phone {
    margin-bottom: 10px;
    padding-bottom: 0;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex; }
  .footer-block__contact_block_content_item.content_item--mail {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex; }
  .footer-block__contact_block_content_item .point-item_icon {
    position: relative; }
  .footer-block__contact_block_content_item .point-item_icon::before {
    content: "\f124";
    display: inline-block;
    font-family: "Font Awesome 5 Pro";
    font-size: 14px;
    font-weight: 900;
    color: #fb0040;
    margin-right: 9px;
    width: 15px;
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg); }

.footer-block__contact_block_content {
  line-height: 2;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
     -moz-box-orient: vertical;
     -moz-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin-bottom: 7px; }

.footer-block__contact_block_content_item-wrapper {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex; }

.main_element_wrapper {
  color: #fff; }

.main_element_wrapper a {
  position: relative;
  color: #fff; }
  .main_element_wrapper a:hover, .main_element_wrapper a:focus {
    color: #fff; }
  .main_element_wrapper a:hover::after, .main_element_wrapper a:focus::after {
    content: "";
    position: absolute;
    bottom: 3px;
    right: 0;
    width: 100%;
    height: 1px;
    background-color: #fff; }

.wrapper_items a {
  position: relative;
  color: #fff; }
  .wrapper_items a:hover, .wrapper_items a:focus {
    color: #fff; }
  .wrapper_items a:hover::after, .wrapper_items a:focus::after {
    content: "";
    position: absolute;
    bottom: 3px;
    right: 0;
    width: 100%;
    height: 1px;
    background-color: #fff; }

.dropdown_list {
  position: relative;
  cursor: pointer; }
  .dropdown_list::after {
    font-weight: 400;
    color: #fff;
    position: absolute;
    display: block;
    content: '';
    width: 7px;
    height: 7px;
    top: 8px;
    right: 1rem;
    margin-top: 0;
    border-bottom: 1px solid #ffffff;
    border-right: 1px solid #ffffff;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out; }
  .dropdown_list.active::after {
    margin-top: 0;
    -webkit-transform: rotate(-135deg);
    transform: rotate(-135deg);
    top: 11px; }

.footer-link__email .main_element_wrapper a,
.footer-link__phone .main_element_wrapper a {
  display: block;
  position: relative;
  margin-right: 42px;
  overflow: hidden;
  text-overflow: ellipsis; }

.footer-link__email .main_element_wrapper .container_menu__contact_item__email::before {
  display: none; }

.footer-link__email .main_element_wrapper .container_menu_mobile__main_phone::before {
  display: none; }

.footer-link__phone .main_element_wrapper {
  padding-left: 30px; }
  .footer-link__phone .main_element_wrapper a {
    padding: 0;
    margin-left: -30px; }

.footer-link__phone .footer-link__phone-main {
  margin-left: -30px; }

.footer-block__contact_block_content {
  line-height: 2; }
  .footer-block__contact_block_content .footer-block__icon_send_filled {
    fill: #fb0040;
    width: 13px;
    height: 13px;
    margin-right: 20px; }
  .footer-block__contact_block_content .footer-block__subtract_filled {
    fill: #fb0040;
    width: 13px;
    height: 13px;
    margin-right: 20px; }
  .footer-block__contact_block_content .footer-block__icon_phone_filled {
    fill: #fb0040;
    width: 13px;
    height: 13px;
    margin-right: 20px; }
  .footer-block__contact_block_content .container_menu__contact_item__email {
    color: #ffffff; }
    .footer-block__contact_block_content .container_menu__contact_item__email:before {
      color: #ffffff;
      margin-right: 0; }

.footer-link__phone,
.footer-link__email {
  display: inline-block;
  overflow: hidden; }
  .footer-link__phone .many_wrapper,
  .footer-link__email .many_wrapper {
    display: none; }
  .footer-link__phone .wrapper_items,
  .footer-link__email .wrapper_items {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
       -moz-box-orient: vertical;
       -moz-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
       -moz-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start; }

.footer-block__contact_block_content_item.content_item--phone .header_top_block__phone__number {
  padding-left: 31px;
  color: #fff; }
  .footer-block__contact_block_content_item.content_item--phone .header_top_block__phone__number::after, .footer-block__contact_block_content_item.content_item--phone .header_top_block__phone__number::before {
    display: none; }

.footer-block .main_btn.button_call.sweep-to-right {
  padding: 1rem 2.7rem; }

.footer-block__follow,
.footer-block__social,
.footer-block__payment {
  margin-bottom: 2rem; }

.copy_text_block {
  border-top: 1px solid rgba(255, 255, 255, 0.3) !important; }

.copy_text_block__content {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
     -moz-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
     -moz-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: #ffffff; }

.copy_text_block__item {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
     -moz-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0.7rem 0; }

.copy_text_block__item_img {
  padding-right: 1rem; }

.footer-block__payment_img img {
  max-width: 110px;
  height: auto; }

/* ___________ variant footer-block __________________ */
.footer-block__payment_comment {
  color: #ffffff; }

.footer-block.variant .footer-block__payment_img {
  padding-bottom: 2rem; }

.footer-block.variant {
  background: #313131; }

.footer-block.variant .footer-block__item_name {
  line-height: 2.5; }

.footer-block__follow .footer-block__follow_input_icon {
  padding-top: 5px;
  fill: #ffffff; }

.footer-block__contact_block_mail-icon {
  position: relative;
  top: 3px;
  left: 0;
  margin-right: 15px;
  fill: #fb0040;
  -ms-flex-negative: 0;
      flex-shrink: 0; }

.footer-block__contact_block_phone-icon {
  position: relative;
  top: 3px;
  left: 0;
  margin-right: 15px;
  fill: #fb0040;
  -ms-flex-negative: 0;
      flex-shrink: 0; }

@media (max-width: 575px) {
  .footer-block__contact_block_content_item {
    -webkit-box-align: center;
       -moz-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    border: 1px solid #6d6d6d; }
    .footer-block__contact_block_content_item:not(:last-child) {
      border-bottom-color: transparent; }
    .footer-block__contact_block_content_item svg {
      position: absolute; }
    .footer-block__contact_block_content_item .main_element_wrapper a {
      padding-left: 0; }
    .footer-block__contact_block_content_item .footer-block__contact_block_mail-icon {
      top: 13px;
      left: 15px; }
    .footer-block__contact_block_content_item .footer-block__contact_block_phone-icon {
      top: 13px;
      left: 15px; }
    .footer-block__contact_block_content_item .footer-block__contact_block_content_item-wrapper {
      width: 100%;
      padding-left: 45px; }
      .footer-block__contact_block_content_item .footer-block__contact_block_content_item-wrapper svg {
        top: calc(50% - 7px);
        left: 15px; }
    .footer-block__contact_block_content_item .footer-link__email {
      width: 100%; }
      .footer-block__contact_block_content_item .footer-link__email .main_element_wrapper {
        padding-left: 45px; }
    .footer-block__contact_block_content_item .footer-link__phone {
      width: 100%; }
      .footer-block__contact_block_content_item .footer-link__phone .main_element_wrapper {
        padding-left: 45px; }
    .footer-block__contact_block_content_item .footer-link__phone .main_element_wrapper a {
      margin-left: 0; }
    .footer-block__contact_block_content_item.active svg {
      fill: #fff !important;
      z-index: 10; }
  .footer-link__phone,
  .footer-link__email {
    border: none; } }

@media (max-width: 1200px) {
  .footer-block__follow_input_email,
  .footer-block__follow_input_submit {
    height: 2.7rem; }
  .footer-block__contact_block_content {
    margin-bottom: 7px; } }

@media (max-width: 992px) {
  .footer-block__contact_block {
    padding-bottom: 1.9rem; } }

@media (max-width: 768px) {
  .footer-block .puzzle_block {
    padding-left: 10px;
    padding-right: 10px; }
  .footer-block__contact_block {
    padding-bottom: 1.4rem; }
  .footer-block__menu_title,
  .footer-block__contact_block_title,
  .footer-block__follow_title,
  .footer-block__social_title,
  .footer-block__payment_title,
  .footer-block__item {
    color: #ffffff;
    padding-bottom: 13px; }
  .copy_text_block__content {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap; }
  .content_item--phone .container_menu_mobile__phone_block {
    text-align: left;
    border: none; }
    .content_item--phone .container_menu_mobile__phone_block::before {
      display: none; } }

@media (max-width: 576px) {
  .footer-block {
    padding-top: 2.3rem;
    text-align: center; }
    .footer-block .main_btn.button_call.sweep-to-right {
      width: 100%; }
    .footer-block .puzzle_block {
      padding: 0 1rem 1rem 1rem;
      padding-left: 10px;
      padding-right: 10px; }
  .footer-block__menu {
    padding-bottom: 1.2rem; }
  .footer-block__item {
    padding-bottom: 1.4rem; }
  .footer-block__follow_title.fonts__middle_text,
  .footer-block__social_title.fonts__middle_text,
  .footer-block__payment_title.fonts__middle_text {
    font-size: 1.05rem; }
  .footer-block__follow_input_email,
  .footer-block__follow_input_submit {
    height: 2.9rem; }
  .footer-block__follow_input_email {
    max-width: none; }
  .footer-block__social_link {
    -webkit-box-pack: center;
       -moz-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center; }
  .footer-block__payment_img {
    -ms-flex-pack: distribute;
        justify-content: space-around; }
  .footer-block__payment,
  .footer-block__social,
  .footer-block__follow,
  .footer-block__contact_block {
    padding: 2rem 0;
    border-top: 1px solid #6d6d6d;
    margin: 0;
    margin-top: 13px; }
  .footer-block__follow {
    padding-bottom: 17px;
    padding-top: 25px; }
    .footer-block__follow .footer-block__follow_title {
      padding-bottom: 24px; }
  .footer-block__contact_block {
    padding-top: 1.8rem;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap; }
  .footer-block__contact_block_title {
    width: 100%;
    padding-bottom: 5px; }
  .footer-block__social {
    padding-top: 23px;
    padding-bottom: 16px; }
    .footer-block__social .footer-block__social_title {
      margin-bottom: 11px; }
    .footer-block__social .footer-block__social_link {
      display: -webkit-box;
      display: -moz-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: justify;
         -moz-box-pack: justify;
          -ms-flex-pack: justify;
              justify-content: space-between;
      max-width: 320px;
      margin-left: auto;
      margin-right: auto; }
    .footer-block__social .footer-block__social_link_name {
      width: 35px;
      height: 35px;
      margin-right: 0;
      line-height: 2.5rem;
      border-radius: 50%; }
  .footer-block__payment {
    padding-bottom: 15px; }
    .footer-block__payment .footer-block__payment_title {
      padding-bottom: 25px; }
  .copy_text_block {
    padding-top: 1px;
    border: none !important; }
  .copy_text_block__content {
    padding-top: 24px;
    border-top: 1px solid #6d6d6d; }
    .copy_text_block__content .copy_text_block__item {
      width: 100%;
      font-size: 0.9rem; }
    .copy_text_block__content .copy_text_block-dev {
      padding-bottom: 23px;
      border-bottom: 1px solid #6d6d6d; }
    .copy_text_block__content .copy_text_block-company {
      padding: 30px; }
  .copy_text_block__item_img {
    padding-right: 0;
    display: block;
    margin-bottom: 1rem; }
  .copy_text_block__item {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
       -moz-box-orient: vertical;
       -moz-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    text-align: center;
    width: 100%; }
  .main_element_wrapper a {
    margin-right: 60px;
    padding-left: 45px; }
    .main_element_wrapper a:hover::after, .main_element_wrapper a:focus::after {
      display: none; }
  .footer-link__phone-item,
  .footer-link__email-item {
    padding-left: 45px;
    border-top: 1px solid rgba(128, 128, 128, 0.5); }
    .footer-link__phone-item:hover::after, .footer-link__phone-item:focus::after,
    .footer-link__email-item:hover::after,
    .footer-link__email-item:focus::after {
      display: none; }
  .footer-block__item_name_link.fonts__middle_text {
    font-size: 13px; }
  .footer-block__item_name_link.fonts__middle_text {
    font-size: 15px; }
  .footer-block__contact_block_content {
    width: 100%;
    margin-bottom: 17px; }
  .footer-block__contact_block_content_item {
    margin-bottom: -1px;
    line-height: 3rem; }
    .footer-block__contact_block_content_item .fonts__middle_comment {
      font-size: 13px; }
  .footer-block__contact_block_content_item.content_item--point,
  .footer-block__contact_block_content_item.content_item--phone,
  .footer-block__contact_block_content_item.content_item--mail {
    width: 100%;
    padding-bottom: 0;
    text-align: left; }
  .footer-block__contact_block_content_item-wrapper {
    min-width: 290px;
    margin-left: auto;
    margin-right: auto; }
  .copy_text_block {
    padding: 2rem 0; }
  .dropdown_list::after {
    top: 14px;
    right: 17px;
    color: #fb0040; }
  .dropdown_list.active .main_element_wrapper {
    background-color: #fb0040;
    border-color: #fb0040; }
  .dropdown_list.active::after {
    top: 18px;
    -webkit-transform: rotate(-135deg);
            transform: rotate(-135deg);
    color: #fff; }
  .dropdown_list.active .footer-link__email-main::before,
  .dropdown_list.active .footer-link__phone-main::before {
    color: #fff; }
  .footer-link__phone .wrapper_items,
  .footer-link__email .wrapper_items {
    -webkit-box-align: stretch;
       -moz-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
    margin-left: 0; }
  .footer-link__phone .main_element_wrapper {
    padding-left: 75px; }
    .footer-link__phone .main_element_wrapper a {
      margin-left: -75px; }
  .footer-link__phone .footer-link__phone-main {
    margin-left: -75px; } }
